liborigin 2.0.0

Public Attributes | List of all members
Origin::ColorMapLevel Struct Reference

`#include <OriginObj.h>`

## Public Attributes
Color | fillColor
unsigned char | fillPattern
Color | fillPatternColor
double | fillPatternLineWidth
bool | labelVisible
Color | lineColor
unsigned char | lineStyle
bool | lineVisible
double | lineWidth

## Member Data Documentation

## ◆ fillColor

Color Origin::ColorMapLevel::fillColor

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ fillPattern

unsigned char Origin::ColorMapLevel::fillPattern

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ fillPatternColor

Color Origin::ColorMapLevel::fillPatternColor

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ fillPatternLineWidth

double Origin::ColorMapLevel::fillPatternLineWidth

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ labelVisible

bool Origin::ColorMapLevel::labelVisible

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ lineColor

Color Origin::ColorMapLevel::lineColor

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ lineStyle

unsigned char Origin::ColorMapLevel::lineStyle

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ lineVisible

bool Origin::ColorMapLevel::lineVisible

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

## ◆ lineWidth

double Origin::ColorMapLevel::lineWidth

Referenced by Origin750Parser::readColorMap(), and Origin810Parser::readColorMap().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h